<div class="row">
    <div class="col-lg-12">
        <h1 class="page-header"><?= $pageTitle ?></h1>
    </div>
</div>
<div class="row">

    <div class="col-md-6">
        <form action="/admin/ajax/editAboutUs" class="form" id="validation" method="post" enctype="multipart/form-data">
            <input type="hidden" value="<?= $id ?>" name="id" />
<?php if($id == 1){ ?>
              <div class="form-group">

                <h3 class="titleSelectPhoto"><?=$this->Get_Lang->gl('the_photo',$adminLang)?><br><br></h3>
                <div class="col-md-12">
                    <div class="row">
                        <span class="btn btn-success fileinput-button">
                            <i class="glyphicon glyphicon-plus"></i>
                            <span><?=$this->Get_Lang->gl('select_photo',$adminLang)?>...(W:600px - H:550px)</span>
                            <input id="fileupload" type="file" name="files" />
                        </span>

                        <div class="clearfix"><br></div>

                        <div id="progress" class="progress">
                            <div class="progress-bar progress-bar-success"></div>
                        </div>

                        <div id="files" class="files">

                        </div>
                        <div class="clearfix"><br></div>

                        <input id="file" type="hidden" name="file" value="" />

                        <?php
                        if ($thePhoto != NULL) {
                            ?>
                            <h2><?=$this->Get_Lang->gl('current_photo',$adminLang)?></h2>
                            <img width='300px' src="/public/uploads/php/files/aboutUs/thumbnail/<?= $thePhoto ?>">
                            <?php
                        }
                        ?>
                    </div>
                </div>

                <script>
                    $(document).ready(function () {
                        $(function () {
                            'use strict';
                            $('#progress').hide();
                            var url = "/public/uploads/php/?pageType=aboutUs";
                            $('#fileupload').fileupload({
                                url: url,
                                dataType: 'json',
                                done: function (e, data) {
                                    $.each(data.result.files, function (index, file) {
                                        //                $("#files").append("<div class='hover'><img src='/public//uploads/php/files/thumbnail/"+file.name+"' /><i data="+file.name+" class='glyphicon glyphicon-remove deleteImage'></i></div>");
                                        $("#files").append("<div class='photoPreview'><img width='300px' src='/public/uploads/php/files/aboutUs/thumbnail/" + file.name + "' /></div>");

                                        if ($("#file").val() == "")
                                        {
                                            $("#file").val(file.name);
                                        } else {
                                            $("#file").val($("#file").val() + "|" + file.name);
                                        }
                                    });
                                },
                                progressall: function (e, data) {
                                    var progress = parseInt(data.loaded / data.total * 100, 10);
                                    $('#progress .progress-bar').css(
                                            'width',
                                            progress + '%'
                                            ).html(progress + '%');
                                }
                            }).bind('fileuploadstart', function (e) {
                                $('#progress').show();
                            }).bind('fileuploadstop', function (e) {
                                $('#saveBtn').show();
                                $('#progress .progress-bar').html("<?=$this->Get_Lang->gl('all_files_has_been_uploaded',$adminLang)?>");
                            });
                        });
                    });

                </script>
            </div>
<?php } else { ?>
             <?php foreach ($databaseLang as $key => $value) { ?>
            <div class="form-group">
                <h3><?=$this->Get_Lang->gl('the_title',$adminLang)?> - <?=$value->theName?></h3>
                <input class="form-control" type="text" id="theTitle<?=$value->laId?>" name="theTitle<?=$value->laId?>" placeholder="<?=$this->Get_Lang->gl('the_title',$adminLang)?> - <?=$value->theName?>" />
            </div>
            <?php } ?>
            
             <?php foreach ($databaseLang as $key => $value) { ?>            
            <div class="form-group">
                <h3><?=$this->Get_Lang->gl('the_text',$adminLang)?> - <?=$value->theName?></h3>
                <textarea id="theText<?=$value->laId?>" name="theText<?=$value->laId?>" class="form-control"></textarea>
            </div>
            <?php } ?>
<?php } ?>
            <div class="form-group">
                <button id="saveBtn" class="btn btn-primary pull-left" type="submit"><?=$this->Get_Lang->gl('save',$adminLang)?></button>
            </div>
        </form>
    </div>

</div>
<script src="/public/lib/validation/jquery.validate.js"></script>
<script src="/public/js/jquery.form.js"></script>
<script src="/public/lib/validation/localization/messages_<?=$tlang?>.js" type="text/javascript"></script>
<script src="/public/lib/validation/localization/messages_<?=$tlang?>.min.js" type="text/javascript"></script>

<script>

                    $(".nav>li>a.aboutUs").addClass("active");      
                    $(".sidebar-dropdown.one").addClass("active");
                    $(".sidebar-wrapper .sidebar-menu ul li a.aboutUs").addClass("active");
                    $(".sidebar-dropdown.one .sidebar-submenu").fadeIn();
                    
<?php if($id != 1){ ?><?php foreach ($databaseLang as $key => $value) { ?> 
                    CKEDITOR.replace("theText<?=$value->laId?>", {
                        height: '280px',
                        skin: 'bootstrapck',                        
                        removePlugins: 'elementspath',
                        resize_enabled: false,
                        
                        extraPlugins : 'uploadimage',
                        filebrowserBrowseUrl : '/public/lib/kcfinder-3.12/browse.php',
                        filebrowserImageBrowseUrl : '/public/lib/kcfinder-3.12/browse.php?type=Images',
                        filebrowserUploadUrl : '/public/lib/kcfinder-3.12/upload.php',
                        filebrowserImageUploadUrl : '/public/lib/kcfinder-3.12/upload.php?type=Images',
                        filebrowserUploadMethod : 'form'
                    });
<?php } } ?>

                    $(".form").each(function () {
                        $(this).validate({
                            highlight: function (element) {
                                $(element).closest('.form-group').removeClass('has-success').addClass('has-error');
                            },
                            unhighlight: function (element) {
                                $(element).closest('.form-group').removeClass('has-error').addClass('has-success');
                            },
                            ignore: [],
                            rules: {
                                <?php if($id == 1){ ?>
                                'file': {required: true},  
                                <?php } else { ?><?php foreach ($databaseLang as $key => $value) { ?> 
                                'theText<?=$value->laId?>': {
                                    required: function () {
                                        CKEDITOR.instances.theText<?=$value->laId?>.updateElement();
                                    }
                                },
                                <?php } } ?>

                            },
                            errorPlacement: function (error, element) {
                                error.insertAfter(element);
                            }
                        });
                    });


                    $(".form").ajaxForm({
                        beforeSubmit: function (arr, $form, options) {
                            $activeForm = $form;
                            if (!$form.valid())
                                return false;
                        },
                        complete: function (xhr) {
                            var response = xhr.responseText;
                            if (response == 1) {

                                $('.fileinput').fileinput('clear');
                                $("#saveBtn").prop('disabled', true);
                          <?php if($id != 1){ ?>
                               <?php foreach ($databaseLang as $key => $value) { ?> 
                                CKEDITOR.instances.theText<?=$value->laId?>.setData('');
                          <?php } } ?>
                                setTimeout(function () {
                                    $("#saveBtn").prop('disabled', false);
                                }, 3000);

                                common.showAlert("<?=$this->Get_Lang->gl('job_done_successfully',$adminLang)?>", "success", 3);
                                window.open("/admin/aboutUs", "_self");
                            } else {
                                common.showAlert("<?=$this->Get_Lang->gl('error',$adminLang)?> <br>" + response, "danger", 0);
                                $("html, body").animate({ scrollTop: 0 }, "slow");

                            }
                        }
                    });



                    function fillTheForm(frm, data) {
                        $.each(data, function (key, value) {
                            var $ctrl = $('[name=' + key + ']', frm);
                            if ($('[name=' + key + ']').length > 0){
                            switch ($ctrl.attr("type"))
                            {
                                case "text" :
                                case "hidden":
                                    $ctrl.val(value)
                                    break;
                                case "radio" :
                                case "checkbox":
                                    $ctrl.each(function () {
                                        if ($(this).attr('value') == value) {
                                            $(this).attr("checked", value);
                                        }
                                    });
                                    break;
                                default:
                                    if (!$ctrl.length)
                                    {
                                        var array = $.map(value, function (v, i) {
                                            return [v];
                                        });
                                        if (array.length > $("[name='" + key + "[]']", frm).length)
                                        {
                                            addCount = array.length - $("[name='" + key + "[]']", frm).length;
                                            for (var i = 0; i < addCount; i++) {
                                                $("[name='" + key + "[]']", frm).parents(".exercise-type-div").find(".addNew").trigger("click");
                                            }
                                        }
                                        $("[name='" + key + "[]']", frm).each(function (index) {
                                            $(this).val(array[index]);
                                        });
                                    } else {
                                        $ctrl.val(value);
                                    }
                            }
                            $ctrl.change();
                        }
                        });
                    }
                        var Vdata =<?= $values ?>;
                        fillTheForm($('.form'), Vdata);

</script>
